JsonCpp project page | JsonCpp home page

Public Member Functions | List of all members
Json::StaticString Class Reference

Lightweight wrapper to tag static string. More...

`#include <json/value.h>`

Collaboration diagram for Json::StaticString:

## Public Member Functions
| StaticString (const char *czstring)
| operator const char * () const
const char * | c_str () const

## Detailed Description

Lightweight wrapper to tag static string.

Value constructor and objectValue member assignement takes advantage of the StaticString and avoid the cost of string duplication when storing the string or the member name.

Example of usage:

Json::Value aValue( StaticString("some text") );
Json::Value object;
static const StaticString code("code");
object[code] = 1234;

Definition at line 131 of file value.h.

## Constructor & Destructor Documentation

## ◆ StaticString()

Json::StaticString::StaticString | ( | const char * | czstring | ) |
| inline explicit

Definition at line 133 of file value.h.

## Member Function Documentation

## ◆ c_str()

const char* Json::StaticString::c_str | ( |  | ) | const
| inline

Definition at line 137 of file value.h.

Referenced by Json::Value::operator[](), and Json::Value::Value().

Here is the caller graph for this function:

## ◆ operator const char *()

Json::StaticString::operator const char * | ( |  | ) | const
| inline

Definition at line 135 of file value.h.

The documentation for this class was generated from the following file:

- include/json/value.h